﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
//Add code

using System.IO;
namespace Basic_Terminal
{
    public partial class Main_Form : Form
    {
        OpenFileDialog ofd = new OpenFileDialog();
      
        public Main_Form()
        {
            InitializeComponent();
        }

        private void Firmware_Update_Click(object sender, EventArgs e)
        {
            if (Ascii_checkBox.Checked == true)
                Ascii_checkBox.Checked = false;
                ShowFileOpenDialog();
        }
        private string ShowFileOpenDialog()
        {
            byte[] tempdata = new byte[5];
            ofd.Title = "업데이터 파일 탐색기";//파일오픈창 생성 및 설정
            ofd.FileName = "*.bin";
            //ofd.Filter = "bin 파일 (*.bin) | *.bin; | 모든 파일 (*.*) | *.*";
            ofd.Filter = "bin 파일 (*.bin) | *.bin;";
            DialogResult dr = ofd.ShowDialog();            //파일 오픈창 로드
            if (dr == DialogResult.OK)//OK버튼 클릭시
            {
                string fileName = ofd.SafeFileName;                //File명과 확장자를 가지고 온다.
                string fileFullName = ofd.FileName;//File경로와 File명을 모두 가지고 온다.
                string filePath = fileFullName.Replace(fileName, "");//File경로만 가지고 온다.
                UpdateFileSend(File.ReadAllBytes(ofd.FileName));
                return fileFullName;
            }
            else if (dr == DialogResult.Cancel)//취소버튼 클릭시 또는 ESC키로 파일창을 종료 했을경우
            {
                return "";
            }
            return "";
        }
        private void UpdateFileSend(byte[] data)
        {

        }

        private void Crc16_Check_Click(object sender, EventArgs e)
        {
            Crc16 crc16 = new Crc16();
            byte[] tempdata = { 0x00, 0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x09 };
            label1.Text = crc16.CRC16_Generate(tempdata, 10).ToString();
        }
    }
}
